# Irssi Autospeak
 Written ByJeremiah Ticket and contributers!

Adds speech to some events.

This script requires you have speech-dispatcher installed and spd-say in your path.

## Usage
Place autospeak.pl in .irssi/scripts/

Then in irssi do:

    /script load autospeak

If you want to autorun the script, place the script in or simlink to ~/.irssi/scripts/autorun/

### Automated Install
There is a basic install script, just run:

    ./install

This install script creates the folder ~/.irssi/scripts/autorun if it doesn't exist and simlinks the script to start automatically.

## Configuration
This script has some settings. Use the /set command to set them. To see the entire section in irssi and what you have them set to do:

    /set -section autospeak

Here are the settings.

- speech_voice <voice> - espd-say voice to use (default is en-us)
- speech_rate <digits> - speech rate(-100 to 100) (default is 50)
- speech_module <module> - Speech dispatcher output module to use (Default is espeak-ng)
- speak_public_messages <on/off> - Speak public messages; This does not speak all messages by default. [See the next setting.] This only speaks when you are directly spoken to. (Default is on)
- speak_all_public_message <on/off> - Speak every single message reguardless of if you are mensioned or not. (Default is off)
- speak_indirect_messages - Speaks indirect messages in public channels, reguardless of where your nick sits in the message; If this if off, public messages will only pseak if directly addressed to you. (Default is off)
- speak_private_messages <on/off> - Speaks incoming private messages. (Default is on)
- speak_active_window <on/off> - Speaks the currently focused window (Default is off)
- speak_dcc_messages <on/off> - Speaks DCC messages; Notifys if a file transfer or dcc chat request.

### Explanation of Public Message Speaking
This script is designed not to be very spammy. Public messages only speak when you are directly addressed, unless you have the speak_indirect_message setting on, then it speaks no matter where in the message  you are mensioned. If you want all messages spoken, enable speak_all_public_messages

#### Examples
When only speak_public_messages is on,

    "<someone> jticket: Hi there!" Will be spoken.
    "<someone> Hi there jticket!" will not automatically be spoken.
    "<someone> This is a test" Will never be spoken automatically unless speak_all_public_messages is on.

When speak_public_messages and speak_indirect_messages is on, both will be spoken, but the last will still not be spoken unless you set speak_all_public_messages to on.
